Module javafx.graphics
Package javafx.scene.effect

# Class MotionBlur

java.lang.Object
javafx.scene.effect.Effect
javafx.scene.effect.MotionBlur

public class MotionBlur extends Effect
A motion blur effect using a Gaussian convolution kernel, with a configurable radius and angle.

Example:

     MotionBlur motionBlur = new MotionBlur();
     motionBlur.setRadius(30);
     motionBlur.setAngle(-15.0);

     Text text = new Text();
     text.setX(20.0);
     text.setY(100.0);
     text.setText("Motion!");
     text.setFill(Color.web("0x3b596d"));
     text.setFont(Font.font(null, FontWeight.BOLD, 60));
     text.setEffect(motionBlur);

The code above produces the following:

Since:
  JavaFX 2.0

## Property Summary

Properties
Type
Property
Description
`final DoubleProperty`
`angle`
The angle of the motion effect, in degrees.
`final ObjectProperty<Effect>`
`input`
The input for this `Effect`.
`final DoubleProperty`
`radius`
The radius of the blur kernel.

## Constructor Summary

Constructors
Constructor
Description
`MotionBlur()`
Creates a new instance of MotionBlur with default parameters.
`MotionBlur(double angle, double radius)`
Creates a new instance of MotionBlur with the specified angle and radius.

## Method Summary

Modifier and Type
Method
Description
`final DoubleProperty`
`angleProperty()`
The angle of the motion effect, in degrees.
`final double`
`getAngle()`
Gets the value of the `angle` property.
`final Effect`
`getInput()`
Gets the value of the `input` property.
`final double`
`getRadius()`
Gets the value of the `radius` property.
`final ObjectProperty<Effect>`
`inputProperty()`
The input for this `Effect`.
`final DoubleProperty`
`radiusProperty()`
The radius of the blur kernel.
`final void`
`setAngle(double value)`
Sets the value of the `angle` property.
`final void`
`setInput(Effect value)`
Sets the value of the `input` property.
`final void`
`setRadius(double value)`
Sets the value of the `radius` property.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Property Details

### input

public final ObjectProperty<Effect> inputProperty
The input for this `Effect`. If set to `null`, or left unspecified, a graphical image of the `Node` to which the `Effect` is attached will be used as the input.

Default value:
  null
See Also:
  - `getInput()`
  - `setInput(Effect)`
  - `inputProperty()`

### radius

public final DoubleProperty radiusProperty
The radius of the blur kernel.

           Min:  0.0
           Max: 63.0
       Default: 10.0
      Identity:  0.0

Default value:
  10.0
See Also:
  - `getRadius()`
  - `setRadius(double)`
  - `radiusProperty()`

### angle

public final DoubleProperty angleProperty
The angle of the motion effect, in degrees.

           Min: n/a
           Max: n/a
       Default: 0.0
      Identity: n/a

Default value:
  0.0
See Also:
  - `getAngle()`
  - `setAngle(double)`
  - `angleProperty()`

## Constructor Details

### MotionBlur

public MotionBlur()
Creates a new instance of MotionBlur with default parameters.

### MotionBlur

public MotionBlur(double angle, double radius)
Creates a new instance of MotionBlur with the specified angle and radius.

Parameters:
  `angle` - the angle of the motion effect, in degrees
  `radius` - the radius of the blur kernel
Since:
  JavaFX 2.1

## Method Details

### setInput

public final void setInput(Effect value)
Sets the value of the `input` property.

Property description:
  The input for this `Effect`. If set to `null`, or left unspecified, a graphical image of the `Node` to which the `Effect` is attached will be used as the input.
Default value:
  null
Parameters:
  `value` - the value for the `input` property
See Also:
  - `getInput()`
  - `inputProperty()`

### getInput

public final Effect getInput()
Gets the value of the `input` property.

Property description:
  The input for this `Effect`. If set to `null`, or left unspecified, a graphical image of the `Node` to which the `Effect` is attached will be used as the input.
Default value:
  null
Returns:
  the value of the `input` property
See Also:
  - `setInput(Effect)`
  - `inputProperty()`

### inputProperty

public final ObjectProperty<Effect> inputProperty()
The input for this `Effect`. If set to `null`, or left unspecified, a graphical image of the `Node` to which the `Effect` is attached will be used as the input.

Default value:
  null
Returns:
  the `input` property
See Also:
  - `getInput()`
  - `setInput(Effect)`

### setRadius

public final void setRadius(double value)
Sets the value of the `radius` property.

Property description:
  The radius of the blur kernel.

             Min:  0.0
             Max: 63.0
         Default: 10.0
        Identity:  0.0

Default value:
  10.0
Parameters:
  `value` - the value for the `radius` property
See Also:
  - `getRadius()`
  - `radiusProperty()`

### getRadius

public final double getRadius()
Gets the value of the `radius` property.

Property description:
  The radius of the blur kernel.

             Min:  0.0
             Max: 63.0
         Default: 10.0
        Identity:  0.0

Default value:
  10.0
Returns:
  the value of the `radius` property
See Also:
  - `setRadius(double)`
  - `radiusProperty()`

### radiusProperty

public final DoubleProperty radiusProperty()
The radius of the blur kernel.

           Min:  0.0
           Max: 63.0
       Default: 10.0
      Identity:  0.0

Default value:
  10.0
Returns:
  the `radius` property
See Also:
  - `getRadius()`
  - `setRadius(double)`

### setAngle

public final void setAngle(double value)
Sets the value of the `angle` property.

Property description:
  The angle of the motion effect, in degrees.

             Min: n/a
             Max: n/a
         Default: 0.0
        Identity: n/a

Default value:
  0.0
Parameters:
  `value` - the value for the `angle` property
See Also:
  - `getAngle()`
  - `angleProperty()`

### getAngle

public final double getAngle()
Gets the value of the `angle` property.

Property description:
  The angle of the motion effect, in degrees.

             Min: n/a
             Max: n/a
         Default: 0.0
        Identity: n/a

Default value:
  0.0
Returns:
  the value of the `angle` property
See Also:
  - `setAngle(double)`
  - `angleProperty()`

### angleProperty

public final DoubleProperty angleProperty()
The angle of the motion effect, in degrees.

           Min: n/a
           Max: n/a
       Default: 0.0
      Identity: n/a

Default value:
  0.0
Returns:
  the `angle` property
See Also:
  - `getAngle()`
  - `setAngle(double)`